Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.callsite
[Java] Class ConstructorSite.NoParamSite

    java.lang.Object
      ConstructorSiteNoUnwrapNoCoerce
          org.codehaus.groovy.runtime.callsite.ConstructorSite.NoParamSite

    public static class ConstructorSite.NoParamSite
    extends ConstructorSiteNoUnwrapNoCoerce

Constructor Summary
`ConstructorSite.NoParamSite(CallSite site, MetaClassImpl metaClass, CachedConstructor constructor, Class[] params)`

Method Summary
`Object` | `callConstructor(Object receiver, Object[] args)`

Constructor Detail

### ConstructorSite.NoParamSite

    public ConstructorSite.NoParamSite(CallSite site, MetaClassImpl metaClass, CachedConstructor constructor, Class[] params)

Method Detail

### callConstructor

    public final Object callConstructor(Object receiver, Object[] args)

Copyright © 2003-2010 The Codehaus. All rights reserved.